# [rpmbuild](https://gitea.rknet.org/docker/rpmbuild)

[![Build Status](https://img.shields.io/drone/build/docker/rpmbuild?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/docker/rpmbuild)
[![Docker Hub](https://img.shields.io/badge/docker-latest-blue.svg?logo=docker&logoColor=white)](https://hub.docker.com/r/xoxys/rpmbuild)
[![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/docker/rpmbuild/src/branch/master/LICENSE)

Simple Docker image based on CentOS 7 to build RPM packages.

## How to use

There are two wrapper scripts around the rpmbuild command you could use:

- `/bin/rpmbuild-official`: This will simply forward your command to the official binary at `/usr/bin/rpmbuild`
- `/bin/rpmbuil`: This is a modified wrapper to prepare the environment before calling rpmbuil

The wrapper `/bin/rpmbuil` will do the following:

- create `$(pwd)/dist`
- create rpmbuild folder structure (`BUILDRPMS|SOURCES|SPECS|SRPMS`) under `$(pwd)/dist`
- sync local patchfiles from `$(pwd)/patch` to `$(pwd)/dist/SOURCES`
- call `/bin/rpmbuil` with the given parameters

## License

This project is licensed under the MIT License - see the [LICENSE](https://gitea.rknet.org/docker/rpmbuild/src/branch/master/LICENSE) file for details.

## Maintainers and Contributors

[Robert Kaussow](https://gitea.rknet.org/xoxys)
